### Function

# Cogl xlib_renderer_get_foreign_display

#### Declaration [src]

    Display*
    cogl_xlib_renderer_get_foreign_display (
      CoglRenderer* renderer
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`renderer`

  Type: `CoglRenderer`

  A `CoglRenderer`.

  The data is owned by the caller of the function.

#### Return value

Type: `Display`

The foreign Xlib display that will be used by any Xlib based winsys backend. The display needs to be set with `cogl_xlib_renderer_set_foreign_display()` before this function is called.

The data is owned by the called function.